# Administration Reference

## pts listentries

Purpose

Displays all user or group entries in the Protection Database

Synopsis

    pts listentries [-users]  [-groups]  [-cell <cell name>]
                    [-noauth]  [-force]  [-help]

    pts liste [-u]  [-g]  [-c <cell name>]  [-n]  [-f]  [-h]

Description

The pts listentries command displays the name and AFS ID of all Protection Database entries of the indicated type. It also displays the AFS ID of each entry's owner and creator.

To display all user and machine entries, either include the -users flag or omit both it and the -groups flag. To display all group entries, include the -groups flag. To display all entries, provide both flags.

Options

-users
  Displays user and machine entries.

-groups
  Displays group entries.

-cell
  Names the cell in which to run the command. For more details, see the introductory pts reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory pts reference page.

-force
  Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output includes a line for each entry, with information in four columns that have the following headers:

`Name`
  The entry's name

`ID`
  The entry's AFS ID (AFS UID for a user or machine, negative AFS GID for a group)

`Owner`
  The AFS ID of the user or group that owns the entry

`Creator`
  The AFS ID of the user who created the entry (the system:administrators group is listed as the creator of the entry for anonymous and the system groups, but it is not otherwise possible for a group to create groups)

In general, the entries appear in the order in which they were created.

Examples

The following example displays both user and group entries.

       % pts listentries -users -groups
       Name                          ID  Owner Creator
       system:administrators       -204   -204    -204
       system:anyuser              -101   -204    -204
       system:authuser             -102   -204    -204
       anonymous                  32766   -204    -204
       admin                          1   -204   32766
       pat                          100   -204       1
       smith                        101   -204       1
       pat:friends                 -206    100     100
       staff                       -207   -204       1

Privilege Required

The issuer must belong to the system:administrators group.

Related Information

pts

pts creategroup

pts createuser

pts examine

© IBM Corporation 2000. All Rights Reserved